Haha yeah… 😵💫 I realized my mistake later on, where I had good intuition in that with a correct heap implementation of Dijkstra’s I could reduce the problem from O(n^2) time to O((n+m)logn) time, by keeping at most O(n+m) elements in the heap at a time. The heap implementation is only worse when the graph is dense (i.e. m = O(n^2)), but for this problem we were given that n
Hahaha, it’s always works that gets us 😵💫 And sounds good, let me know if there’s anything more I can clarify, I’m always super happy and ready to help when needed 🥰😁
4 straight hours lol
Haha yeah… 😵💫 I realized my mistake later on, where I had good intuition in that with a correct heap implementation of Dijkstra’s I could reduce the problem from O(n^2) time to O((n+m)logn) time, by keeping at most O(n+m) elements in the heap at a time. The heap implementation is only worse when the graph is dense (i.e. m = O(n^2)), but for this problem we were given that n
Haven’t seen the video yet, but I will after work, I’ll try to learn how you applied Dijkstra and heaps
Hahaha, it’s always works that gets us 😵💫 And sounds good, let me know if there’s anything more I can clarify, I’m always super happy and ready to help when needed 🥰😁